$!-----------------------------------------------------------------------------
$! BUILD_VMSETI.COM
$!
$! P1 == LINK or BUILD or empty (compiles and links)
$! P2 == "HERE" forces a local directory executable (regardless of HT_ROOT:)
$!
$! 09-JAN-2000  MGD  initial
$!-----------------------------------------------------------------------------
$!
$ APPLICATION = "VMSETI"
$!
$ WRITE SYS$OUTPUT ""
$ WRITE SYS$OUTPUT "Building ""''APPLICATION'""" +-
                   " for ""''F$GETSYI("ARCH_NAME")'"" architecture"
$!
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$!
$ DEFINES = "/DEFINE=(_VMS_V6_SOURCE=1,__VMS_VER=60000000," +-
            "__CRTL_VER=60000000," +-
            "CGILIB_INCLUDE_H=""""""./cgilib.h""""""," +-
            "CGILIB_INCLUDE_C=""""""./cgilib.c"""""")"
$!
$ LINK_OPTIONS = F$SEARCH("''APPLICATION'_''ARCH_NAME'.OPT")
$ IF LINK_OPTIONS .NES. "" -
     THEN LINK_OPTIONS = "," + F$ELEMENT(0,";",LINK_OPTIONS) + "/OPTIONS"
$!
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" THEN CREATE /DIR 'OBJECT_DIR'
$!
$ IF ARCH_NAME .EQS. "VAX"
$ THEN
$    CC_OPTIONS = "/DECC /NOOPT /STAND=VAXC 'DEFINES'"
$ ELSE
$    CC_OPTIONS = "/DECC /NOOPT /STAND=VAXC 'DEFINES'"
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' /OBJECT='OBJECT_DIR''APPLICATION' 'APPLICATION' 
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LINK"
$ THEN
$    IF F$TRNLNM("HT_ROOT") .EQS. "" .OR. P2 .EQS. "HERE"
$       THEN EXECUTABLE = "'APPLICATION'_'ARCH_NAME'.EXE"
$       ELSE EXECUTABLE = "HT_EXE:'APPLICATION'.EXE"
$    ENDIF
$    SET NOON
$    SET VERIFY
$    LINK /EXECUTABLE='EXECUTABLE' -
     'OBJECT_DIR''APPLICATION''LINK_OPTIONS'
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ SET PROTECTION=W:RE 'EXECUTABLE'
$ PURGE /NOLOG 'OBJECT_DIR'
$!
$!-----------------------------------------------------------------------------
