$!-----------------------------------------------------------------------------
$! VMSETI.COM
$!
$! Wrapper for the VMS SETI@Home access script
$! For WASD copy to HT_ROOT:[SCRIPT_LOCAL]
$! For OSU/CGI must be in the same directory as the VMSETI_xxx.EXE executable.
$!
$! 18-JAN-2000  MGD  add skymap
$! 10-JAN-2000  MGD  initial
$!-----------------------------------------------------------------------------
$ set noon
$!
$!(these commands support the demo setup, and in production could be cut)
$ if f$trnlnm("WWW_ROOT") .nes. ""
$ then
$    setiFiles = "WWW_ROOT:[SCRIPT_CODE.VMSETI]DEMO_"
$    skymapPath = "/www_root/script_code/vmseti/"
$ endif
$ if f$trnlnm("HT_ROOT") .nes. ""
$ then
$    setiFiles = "HT_ROOT:[SRC.VMSETI]DEMO_"
$    skymapPath = "/ht_root/src/vmseti/"
$ endif
$!
$!(UNCOMMENT AND CHANGE THE FOLLOWING LINES TO LOCATE THE LOCAL SETI FILES)
$!! setiFiles = "device:[SETI.dir]"
$!! skymapPath = "/path/to/images/"
$!
$!(CHANGE TO REMOVE/INCLUDE LOCAL INFORMATION)
$!! VMSeti_local = "@''setiFiles'VMSETI.TXT"
$ VMSeti_local = "<FONT SIZE=+1><B>Note:</B> this is DEMO, not live data!</FONT><P>"
$!
$!(these two are mandatory)
$ VMSeti_state = "''setiFiles'STATE.TXT"
$ VMSeti_work_unit = "''setiFiles'WORK_UNIT.TXT"
$!
$!(these three are are optional, any or all may be commented out)
$ VMSeti_outfile = "''setiFiles'OUTFILE.TXT"
$ VMSeti_user_info = "''setiFiles'USER_INFO.TXT"
$ VMSeti_skymap = "''skymapPath'"
$!
$ if f$trnlnm("HT_ROOT") .nes. ""
$ then
$    run HT_EXE:VMSETI
$    exit
$ endif
$!
$ archName = f$getsyi("ARCH_NAME")
$ if archName .nes. "VAX" then archName = "AXP"
$ exeDir = f$environment("PROCEDURE")
$ exeDir = f$parse(exeDir,,,"DEVICE") + f$parse(exeDir,,,"DIRECTORY")
$ fileName = f$parse(f$environment("PROCEDURE"),,,"NAME")
$!
$ vmseti = "$" + exeDir + fileName + "_" + archName
$ vmseti "''P1'" "''P2'" "''P3'" 
$!-----------------------------------------------------------------------------
